<script>
import { useAuthStore, useImageStore } from '@/store'
export default {
	onLaunch: function () {
		//每次小程序启动都尝试静默登录
		// #ifdef MP-WEIXIN
		useAuthStore().login();//微信小程序，进入后先用openid登录
		// #endif
		// #ifdef H5
		useAuthStore().loadInfo();//H5下，进入后先尝试加载登录用户信息
		// #endif	
		// 加载app图片
		useImageStore().load();
	},
	onShow: function () {
		console.log('App Show')
	},
	onHide: function () {
		console.log('App Hide')
	},
}
</script>

<style lang="scss">
/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
@import "uview-plus/index.scss";
@import "@/w-components/index.scss";
</style>